<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>GDC | SDLC | Reiniciar Clave</title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.7 -->
        <link rel="stylesheet" href="{{ static('bower_components/bootstrap/dist/css/bootstrap.min.css') }}">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="{{ static('bower_components/font-awesome/css/font-awesome.min.css') }}">
        <!-- Ionicons -->
        <link rel="stylesheet" href="{{ static('bower_components/Ionicons/css/ionicons.min.css') }}">
        <!-- Theme style -->
        <link rel="stylesheet" href="{{ static('dist/css/AdminLTE.min.css') }}">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

        <!-- Google Font -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">
        <script src='https://www.google.com/recaptcha/api.js'></script>
    </head>
    <body class="hold-transition register-page">
        <div class="register-box">
            <div class="register-logo">
                <a href="{{ url('cuenta:login')}}" title="Servicio Desconcentrado de la Lotería de Caracas."><b style="color:red;">GDC |</b> <b>SDLC</b> </a>
            </div>
            <div class="register-box-body">
                {% if validlink %}
                    <p class="login-box-msg"><strong>Reinicio de Clave:</strong> escriba una nueva clave y su confirmación.</p>
                    <form method="post">
                        <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf_token }}">
                        <div class="form-group has-feedback {%if form.new_password1.errors or form.new_password2.errors %}has-error{%endif%}">
                            <input type="password" name="new_password1" class="form-control" id="id_new_password1" required placeholder="Escriba la nueva contraseña">
                            <span class="glyphicon glyphicon-lock form-control-feedback"></span>
                            <span class="help-block">
                                {% for error in form.new_password1.errors %}
                                    <ul>
                                        <li class="text-red">{{ error }}</li>
                                    </ul>
                                {% endfor %}
                            </span>
                        </div>
                        <div class="form-group has-feedback {%if form.new_password1.errors or form.new_password2.errors %}has-error{%endif%}">
                            <input type="password" name="new_password2" class="form-control" id="id_new_password2" required placeholder="Confirme la nueva contraseña">
                            <span class="glyphicon glyphicon-log-in form-control-feedback"></span>
                            <span class="help-block">
                                {% for error in form.new_password2.errors %}
                                    <ul>
                                        <li class="text-red">{{ error }}</li>
                                    </ul>
                                {% endfor %}
                            </span>
                        </div>
                        <div class="row">
                            <!-- /.col -->
                            <div class="col-xs-12">
                                <button type="submit" class="btn btn-primary btn-block btn-flat">Reiniciar Clave</button>
                            </div>
                            <!-- /.col -->
                        </div>
                    </form>
                {% else %}
                    <p class="login-box-msg"><strong>Reinicio de Clave</strong></p>
                    <div class="alert alert-error alert-dismissible">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <h4><i class="icon fa fa-ban"></i> ¡Alerta!</h4>
                        <p>El enlace de reinicio de clave es invalido. Puede ser debido a:</p>
                        <ul>
                            <li>Las credenciales del enlace ya expiraron.</li>
                            <li>Las credenciales del enlace ya fueron utilizadas.</li>
                        </ul>
                    </div>                    
                {% endif %}
            </div>
            <!-- /.form-box -->
        </div>
        <!-- /.register-box -->

        <!-- jQuery 3 -->
        <script src="{{ static('bower_components/jquery/dist/jquery.min.js') }}"></script>
        <!-- Bootstrap 3.3.7 -->
        <script src="{{ static('bower_components/bootstrap/dist/js/bootstrap.min.js') }}"></script>
    </body>
</html>
